#version 300 es

precision mediump float;

uniform float rateU;
uniform float rateV;
uniform float offsetV;

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 vUV;

void main() {
    gl_Position = aPosition;
    vUV = vec2(aTextureCoord.x*rateU+offsetV, aTextureCoord.y*rateV);
}